#include <stdio.h>
#include <stdlib.h>
#include <dlfcn.h>

int main(int argc, char *argv[]) {
    void *handle;
    
    if (argc != 2) {
	fprintf(stderr, "usage: %s LIB\n", argv[0]);
	exit(EXIT_FAILURE);
    }

    handle = dlopen(argv[1], RTLD_LAZY);
    if (!handle) {
	puts(dlerror());
	exit(EXIT_FAILURE);
    }

    dlclose(handle);

    exit(EXIT_SUCCESS);
}
