/* This script creates a database for use with the the JDBC test
 * application.  To execute it you should pipe this file to the MySQL
 * client:
 *
 *  mysql -uroot -p < MySQL-setup.sql
 *
 * Note that the database server must be accepting TCP connections for
 * Tomcat to be able to connect to it.  This is enabled by removing
 * the 'skip-networking' option from /etc/my.cnf.
 */

CREATE DATABASE tomcattest;
GRANT ALL PRIVILEGES
  ON tomcattest.*
  TO tomcattest@localhost.localdomain
  IDENTIFIED BY 'tomcattest';
