/* This script creates a database for use with the JDBC test
 * application.  To execute it you should pipe this file to the
 * PostgreSQL terminal:
 *
 *  su - postgres
 *  psql template1 < PostgreSQL-setup.sql
 *
 * Note that the database server must be accepting TCP connections for
 * Tomcat to be able to connect to it.  This is enabled by setting
 * 'tcpip_socket=true' in /var/lib/pgsql/data/postgresql.conf and by
 * adding 'host tomcattest tomcattest 127.0.0.1 255.255.255.255 md5'
 * to /var/lib/pgsql/data/pg_hba.conf.
 */

/* Create the database, named as specified by the connectionURL
 * attribute of the <Realm/> element in your server.xml.
 */
CREATE USER tomcattest WITH PASSWORD 'tomcattest';
CREATE DATABASE tomcattest OWNER tomcattest;
